import {Component, inject} from "@angular/core";
import {Hotel} from "../model/hotel";
import {HotelService} from "../service/hotel.service";
import {EditHotelComponent} from "./edit-hotel.component";
import {Router} from "@angular/router";


@Component({
  selector: "app-create-hotel",
  standalone: true,
  imports: [
    EditHotelComponent
  ],
  template: `
    <app-edit-hotel (updateHotel)="create($event)"></app-edit-hotel>
  `
})
export class CreateHotelComponent {

  hotelService: HotelService = inject(HotelService);

  router: Router = inject(Router);

  create(hotel: Hotel) {
    this.hotelService.createHotel(hotel).subscribe();

    this.router.navigate(['/hotels']);
  }
}
