import {Component, inject, Input} from "@angular/core";
import {HotelService} from "../service/hotel.service";
import {Router} from "@angular/router";


@Component({
  selector: 'app-delete-hotel',
  standalone: true,
  template: `
    <button (click)="delete()">Delete Hotel</button>
  `
})
export class DeleteHotelComponent {
  @Input()
  id: number = 0;

  hotelService: HotelService = inject(HotelService);

  router: Router = inject(Router);

  delete() {
    if (confirm('Are you sure?')) {
      this.hotelService.deleteById(this.id).subscribe()
      this.router.navigate(['/hotels']);
    }
  }
}
