import {Component, Input} from "@angular/core";
import {NgIf} from "@angular/common";


@Component({
  standalone: true,
  selector: 'app-error-msg',
  imports: [
    NgIf
  ],
  template: `
    <div *ngIf="msg" class="alert alert-danger">
      {{ msg }}
    </div>
  `,
  styles: `
    .alert {
      color: white;
      background-color: red;
      border-radius: 4px;
      padding: 4px;
    }

    .alert-danger {
      background-color: red;
    }
  `
})
export class ErrorMsgComponent {
  @Input()
  msg: string | null = null;
}
